Clarify licensing information about files borrowed from libjpeg.
[ffmpeg.git] / LICENSE
1 Libav:
2 ------
3
4 Most files in Libav are under the GNU Lesser General Public License version 2.1
5 or later (LGPL v2.1+). Read the file COPYING.LGPLv2.1 for details. Some other
6 files have MIT/X11/BSD-style licenses. In combination the LGPL v2.1+ applies to
7 Libav.
8
9 Some optional parts of Libav are licensed under the GNU General Public License
10 version 2 or later (GPL v2+). See the file COPYING.GPLv2 for details. None of
11 these parts are used by default, you have to explicitly pass --enable-gpl to
12 configure to activate them. In this case, Libav's license changes to GPL v2+.
13
14 Specifically, the GPL parts of Libav are
15
16 - libpostproc
17 - optional x86 optimizations in the files
18   libavcodec/x86/idct_mmx.c
19 - the X11 grabber in libavdevice/x11grab.c
20
21 There are a handful of files under other licensing terms, namely:
22
23 * The files libavcodec/jfdctfst.c, libavcodec/jfdctint_template.c and
24   libavcodec/jrevdct.c are taken from libjpeg, see the top of the files for
25   licensing details. Specifically note that you must credit the IJG in the
26   documentation accompanying your program if you only distribute executables.
27   You must also indicate any changes including additions and deletions to
28   those three files in the documentation.
29
30 Should you, for whatever reason, prefer to use version 3 of the (L)GPL, then
31 the configure parameter --enable-version3 will activate this licensing option
32 for you. Read the file COPYING.LGPLv3 or, if you have enabled GPL parts,
33 COPYING.GPLv3 to learn the exact legal terms that apply in this case.
34
35
36 external libraries:
37 -------------------
38
39 Some external libraries, e.g. libx264, are under GPL and can be used in
40 conjunction with Libav. They require --enable-gpl to be passed to configure
41 as well.
42
43 The OpenCORE external libraries are under the Apache License 2.0. That license
44 is incompatible with the LGPL v2.1 and the GPL v2, but not with version 3 of
45 those licenses. So to combine the OpenCORE libraries with Libav, the license
46 version needs to be upgraded by passing --enable-version3 to configure.
47
48 The nonfree external library libfaac can be hooked up in Libav. You need to
49 pass --enable-nonfree to configure to enable it. Employ this option with care
50 as Libav then becomes nonfree and unredistributable.